DefaultEdge.LoopRouting (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.DefaultEdge.LoopRouting class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class DefaultEdge.LoopRouting

    java.lang.Object
      org.jgraph.graph.DefaultEdge.LoopRouting

All Implemented Interfaces:
  Edge.Routing, Serializable

Direct Known Subclasses:
  DefaultEdge.DefaultRouting, ParallelEdgeRouter

Enclosing class:
  DefaultEdge

public static class DefaultEdge.LoopRouting
extends Object
implements Edge.Routing

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.jgraph.graph.Edge.Routing
`NO_PREFERENCE`

Constructor Summary
`DefaultEdge.LoopRouting()`

Method Summary
`protected int` | `getEdgeStyle()`
`protected int` | `getLoopStyle()`
`int` | `getPreferredLineStyle(EdgeView edge)` Returns the preferred line style for this routing.
`List` | `route(GraphLayoutCache cache, EdgeView edge)` Returns the points to be used for the edge.
`protected List` | `routeEdge(GraphLayoutCache cache, EdgeView edge)`
`protected List` | `routeLoop(GraphLayoutCache cache, EdgeView edge)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEdge.LoopRouting

    public DefaultEdge.LoopRouting()

Method Detail

### route

    public List route(GraphLayoutCache cache,
                      EdgeView edge)

  Description copied from interface: `Edge.Routing`
  Returns the points to be used for the edge.

  Specified by:
    `route` in interface `Edge.Routing`
  Parameters:
    `cache` - TODO
    `edge` - The edge view to route the points for.

### routeLoop

    protected List routeLoop(GraphLayoutCache cache,
                             EdgeView edge)

### routeEdge

    protected List routeEdge(GraphLayoutCache cache,
                             EdgeView edge)

### getPreferredLineStyle

    public int getPreferredLineStyle(EdgeView edge)

  Description copied from interface: `Edge.Routing`
  Returns the preferred line style for this routing. A return value of `Edge.Routing.NO_PREFERENCE` means no preference.

  Specified by:
    `getPreferredLineStyle` in interface `Edge.Routing`

### getLoopStyle

    protected int getLoopStyle()

### getEdgeStyle

    protected int getEdgeStyle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.